com.smartgwt.client.bean

## Class BeanProperty1Getter<BeanClass>

- java.lang.Object
- - com.smartgwt.client.bean.BeanProperty<BeanClass>
  - - com.smartgwt.client.bean.BeanProperty1Getter<BeanClass>

-     public class BeanProperty1Getter<BeanClass>
      extends BeanProperty<BeanClass>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanProperty

      `BeanProperty.NoSetterException`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.bean.BeanProperty

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanProperty1Getter(java.lang.String name, BeanMethod<BeanClass,?> method)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected BeanMethod<BeanClass,?>` | `defaultGetter()`
    `protected BeanMethod<BeanClass,?>` | `getterForString()`
    `protected BeanMethod<BeanClass,?>` | `setterForValue(java.lang.Object value)`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanProperty

      `getName, getProperty, getPropertyAsString, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanProperty1Getter

          public BeanProperty1Getter(java.lang.String name,
                             BeanMethod<BeanClass,?> method)

  - ### Method Detail

    - #### defaultGetter

          protected BeanMethod<BeanClass,?> defaultGetter()

      Specified by:
        `defaultGetter` in class `BeanProperty<BeanClass>`

    - #### getterForString

          protected BeanMethod<BeanClass,?> getterForString()

      Specified by:
        `getterForString` in class `BeanProperty<BeanClass>`

    - #### setterForValue

          protected BeanMethod<BeanClass,?> setterForValue(java.lang.Object value)

      Specified by:
        `setterForValue` in class `BeanProperty<BeanClass>`